Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/include/Parameters.h	(revision 78)
@@ -50,5 +50,5 @@
   public : ~Parameters () ;
 
-  public :        std::string   msg_error  (void);
+  public :        Parameters_test msg_error  (void);
 
   public :        std::string   print      (uint32_t depth);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Parameters_msg_error.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Parameters_msg_error.cpp	(revision 78)
@@ -21,13 +21,13 @@
 #undef  FUNCTION
 #define FUNCTION "Register_unit_Glue::msg_error"
-  std::string Parameters::msg_error(void)
+  Parameters_test Parameters::msg_error(void)
   {
     log_printf(FUNC,Register_unit_Glue,FUNCTION,"Begin");
 
-    std::string msg = "";
-
-    return msg;
+    Parameters_test test("Register_unit_Glue");
 
     log_printf(FUNC,Register_unit_Glue,FUNCTION,"End");
+
+    return test;
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 78)
@@ -79,5 +79,5 @@
   public : ~Parameters () ;
 
-  public :        std::string   msg_error  (void);
+  public :        Parameters_test msg_error  (void);
   public :        std::string   print      (uint32_t depth);
   public : friend std::ostream& operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 78)
@@ -5,5 +5,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
@@ -45,5 +45,5 @@
 #endif
   {
-    // -----[ fields ]----------------------------------------------------
+    // -----[ fields ]----------------------------------------------------
     // Parameters
   protected : const std::string       _name;
@@ -59,10 +59,10 @@
 
 #ifdef SYSTEMC
-    // ~~~~~[ Interface ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     // Interface
   public    : SC_CLOCK                      *  in_CLOCK        ;
   public    : SC_IN (Tcontrol_t)            *  in_NRESET       ;
 
-    // ~~~~~[ Interface "gpr_read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "gpr_read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )   **  in_GPR_READ_VAL                 ;
   public    : SC_OUT(Tcontrol_t        )   ** out_GPR_READ_ACK                 ;
@@ -72,5 +72,5 @@
   public    : SC_OUT(Tcontrol_t        )   ** out_GPR_READ_DATA_VAL            ;
 
-    // ~~~~~[ Interface "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )   **  in_GPR_WRITE_VAL                ;
   public    : SC_OUT(Tcontrol_t        )   ** out_GPR_WRITE_ACK                ;
@@ -79,5 +79,5 @@
   public    : SC_IN (Tgeneral_data_t   )   **  in_GPR_WRITE_DATA               ;
 
-    // ~~~~~[ Interface "spr_read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "spr_read" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )   **  in_SPR_READ_VAL                 ;
   public    : SC_OUT(Tcontrol_t        )   ** out_SPR_READ_ACK                 ;
@@ -87,5 +87,5 @@
   public    : SC_OUT(Tcontrol_t        )   ** out_SPR_READ_DATA_VAL            ;
 
-    // ~~~~~[ Interface "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )   **  in_SPR_WRITE_VAL                ;
   public    : SC_OUT(Tcontrol_t        )   ** out_SPR_WRITE_ACK                ;
@@ -94,5 +94,5 @@
   public    : SC_IN (Tspecial_data_t   )   **  in_SPR_WRITE_DATA               ;
     
-    // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_VAL               ;
   public    : SC_OUT(Tcontrol_t        )  *** out_INSERT_ROB_ACK               ;
@@ -102,5 +102,5 @@
   public    : SC_IN (Tspecial_address_t)  ***  in_INSERT_ROB_RE_NUM_REG        ;
 
-    // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_VAL               ;
   public    : SC_OUT(Tcontrol_t        )  *** out_RETIRE_ROB_ACK               ;
@@ -114,5 +114,5 @@
   public    : SC_IN (Tspecial_address_t)  ***  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
 
-    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
   protected : morpheo::behavioural::generic::registerfile::RegisterFile::RegisterFile ** component_gpr       ;
   protected : morpheo::behavioural::generic::registerfile::RegisterFile::RegisterFile ** component_gpr_status;
@@ -121,10 +121,10 @@
   protected : morpheo::behavioural::core::multi_execute_loop::execute_loop::register_unit::register_unit_glue::Register_unit_Glue::Register_unit_Glue      * component_glue      ;
 
-    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #endif
 
-    // -----[ methods ]---------------------------------------------------
+    // -----[ methods ]---------------------------------------------------
 
 #ifdef SYSTEMC
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_msg_error.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_msg_error.cpp	(revision 78)
@@ -18,13 +18,13 @@
 #undef  FUNCTION
 #define FUNCTION "Register_unit::msg_error"
-  std::string Parameters::msg_error(void)
+  Parameters_test Parameters::msg_error(void)
   {
     log_printf(FUNC,Register_unit,FUNCTION,"Begin");
 
-    std::string msg = "";
-
-    return msg;
+    Parameters_test test("Register_unit");
 
     log_printf(FUNC,Register_unit,FUNCTION,"End");
+
+    return test;
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit_allocation.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit_allocation.cpp	(revision 78)
@@ -240,5 +240,5 @@
 
 	    in_RETIRE_ROB_VAL            [i][j] = interface->set_signal_valack_in  (VAL);
-	    out_RETIRE_ROB_ACK            [i][j] = interface->set_signal_valack_out (ACK);
+	   out_RETIRE_ROB_ACK            [i][j] = interface->set_signal_valack_out (ACK);
 	    in_RETIRE_ROB_RD_OLD_USE     [i][j] = interface->set_signal_in <Tcontrol_t        > ("rd_old_use"    , 1);
 	    in_RETIRE_ROB_RD_OLD_NUM_REG [i][j] = interface->set_signal_in <Tgeneral_address_t> ("rd_old_num_reg", _param->_size_gpr_address);
@@ -470,4 +470,11 @@
 				   _name+"_glue",
 				   "out_CONST_1");
+
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_1",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA" );
+
+
 	      _component->port_map(name_component,
 				   "in_WRITE_"+toString(x++)+"_ADDRESS",
@@ -492,4 +499,8 @@
 				   "out_CONST_0"
 				   );
+	      _component->port_map( _name+"_glue",
+				    "out_CONST_0",
+				    name_component,
+				   "in_WRITE_"+toString(x)+"_DATA");
 
 	      _component->port_map(name_component,
@@ -515,4 +526,8 @@
 				   _name+"_glue",
 				   "out_CONST_0");
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_0",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA" );
 
 	      _component->port_map(name_component,
@@ -534,4 +549,9 @@
 				   _name+"_glue",
 				   "out_CONST_1"
+				   );
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_1",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA"
 				   );
 
@@ -651,4 +671,10 @@
 				   _name+"_glue",
 				   "out_CONST_1");
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_1",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA"
+				   );
+
 	      _component->port_map(name_component,
 				   "in_WRITE_"+toString(x++)+"_ADDRESS",
@@ -673,4 +699,9 @@
 				   "out_CONST_0"
 				   );
+	      _component->port_map( _name+"_glue",
+				    "out_CONST_0",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA"
+				   );
 
 	      _component->port_map(name_component,
@@ -696,4 +727,9 @@
 				   _name+"_glue",
 				   "out_CONST_0");
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_0",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA"
+				   );
 
 	      _component->port_map(name_component,
@@ -715,4 +751,9 @@
 				   _name+"_glue",
 				   "out_CONST_1"
+				   );
+	      _component->port_map(_name+"_glue",
+				   "out_CONST_1",
+				   name_component,
+				   "in_WRITE_"+toString(x)+"_DATA"
 				   );
 
@@ -738,6 +779,6 @@
       _component->port_map(name_component,"in_CLOCK" , _name, "in_CLOCK" );
       _component->port_map(name_component,"in_NRESET", _name, "in_NRESET");
-      _component->port_map(name_component,"out_CONST_0");
-      _component->port_map(name_component,"out_CONST_1");
+//       _component->port_map(name_component,"out_CONST_0",_name,"out_CONST_0");
+//       _component->port_map(name_component,"out_CONST_1",_name,"out_CONST_1");
 
       for (uint32_t j=0; j<_param->_nb_gpr_read; j++)
